## ros-one-fetch-teleop 0.9.1-5jammy.20251023.0302

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_teleop)

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

find_package(Boost REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    control_msgs
    geometry_msgs
    nav_msgs
    roscpp
    sensor_msgs
    topic_tools
)
catkin_package()

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(joystick_teleop src/joystick_teleop.cpp)
target_link_libraries(joystick_teleop
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

install(
  TARGETS joystick_teleop
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  PROGRAMS scripts/tuck_arm.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY mesh
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-one-fetch-teleop (0.9.1-5jammy.20251023.0302) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 23 Oct 2025 03:02:03 +0000

ros-one-fetch-teleop (0.9.1-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 05 Mar 2021 00:00:00 -0000

ros-one-fetch-teleop (0.9.0-0jammy) jammy; urgency=high

  * Initial noetic release
  * Update maintainers
  * Use mesh for tuck arm collision
  * Move collision objects to avoid collision
  * Fix tuck_arm.py moveit check
  * Updates for python3 and ROS Noetic
  * Tuck arm script: Add ground collision for melodic (#130 <https://github.com/fetchrobotics/fetch_ros/issues/130>)
    * add ground as collision object
    * make robot base keepout larger
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris, Shingo Kitagawa

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 28 Feb 2021 00:00:00 -0000

ros-one-fetch-teleop (0.8.2-0jammy) jammy; urgency=high

  * Merge pull request #118 <https://github.com/fetchrobotics/fetch_ros/issues/118> from 708yamaguchi/add-teleop-rosparam-melodic
    Select teleop part by rosparam for melodic
  * select teleop part by rosparam
  * Contributors: Carl Saldanha, Naoya Yamaguchi

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 06 Aug 2019 00:00:00 -0000

ros-one-fetch-teleop (0.8.1-0jammy) jammy; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Contributors: Alexander Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-fetch-teleop (0.8.0-0jammy) jammy; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * [teleop] Require primary dead-man for arm motion (#92 <https://github.com/fetchrobotics/fetch_ros/issues/92>)
    * Require primary dead-man for arm teleop, along with with the angular or linear selector button.
  * Fixup to add missing variable definition.
  * Also require primary deadman for arm teleop
  * Contributors: Alex Moriarty, Eric Relson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-one-fetch-teleop (0.7.14-0jammy) jammy; urgency=high

  * updates ownership
  * Merge pull request #68 <https://github.com/fetchrobotics/fetch_ros/issues/68> from BillWSY/indigo-devel
    Fixes an issue that tuck_arm.py spawns new roscore.
  * Fixes an issue that tuck_arm.py spawns new roscore.
    tuck_arm.py calls roslaunch without --wait flag, which may spawn new ROS
    master in a racing condition.
  * Contributors: Michael Ferguson, Russell Toris, Shengye Wang

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-one-fetch-teleop (0.7.13-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 02 Nov 2017 00:00:00 -0000

ros-one-fetch-teleop (0.7.12-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 02 Aug 2017 00:00:00 -0000

ros-one-fetch-teleop (0.7.11-0jammy) jammy; urgency=high

  * simpified with easier controls
  * add joystick teleop for arm control
  * Contributors: Hanjun Song, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 31 Jul 2017 00:00:00 -0000

ros-one-fetch-teleop (0.7.10-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.9-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 26 Jul 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.8-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.7-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.6-0jammy) jammy; urgency=high

  * fix attribute error when moveit does not return
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.5-0jammy) jammy; urgency=high

  * Control gripper via keyboard
  * Contributors: Kentaro Wada

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 08 May 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.4-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 16 Mar 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.3-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 05 Mar 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.2-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 24 Feb 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.1-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 20 Jan 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.0-0jammy) jammy; urgency=high

  * Require deadman to be held while tucking
  * add missing moveit_python depend
  * Contributors: Alex Henning, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 29 Sep 2015 00:00:00 -0000

ros-one-fetch-teleop (0.6.2-0jammy) jammy; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 30 Jul 2015 00:00:00 -0000

ros-one-fetch-teleop (0.6.1-0jammy) jammy; urgency=high

  * make pan/tilt acceleration parameterized
  * update head tilt joint limits in teleop
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 03 Jul 2015 00:00:00 -0000

ros-one-fetch-teleop (0.6.0-0jammy) jammy; urgency=high

  * install tuck_arm.py
  * add a keepout zone for extra margin around base


=== debian/control ===
Source: ros-one-fetch-teleop
Section: misc
Priority: optional
Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-catkin, ros-one-control-msgs, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-topic-tools
Homepage: http://docs.fetchrobotics.com/teleop.html
Standards-Version: 3.9.2

Package: ros-one-fetch-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-control-msgs, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-topic-tools
Description: Teleoperation for fetch and freight.

## ros-one-fetch-teleop 0.9.1-5jammy.20260220.2343

=== debian/changelog ===
ros-one-fetch-teleop (0.9.1-5jammy.20260220.2343) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 20 Feb 2026 23:43:51 +0000

## ros-one-fetch-teleop 0.9.1-5noble.20251023.0259

=== debian/changelog ===
ros-one-fetch-teleop (0.9.1-5noble.20251023.0259) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 23 Oct 2025 02:59:24 +0000

ros-one-fetch-teleop (0.9.1-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 05 Mar 2021 00:00:00 -0000

ros-one-fetch-teleop (0.9.0-0noble) noble; urgency=high

  * Initial noetic release
  * Update maintainers
  * Use mesh for tuck arm collision
  * Move collision objects to avoid collision
  * Fix tuck_arm.py moveit check
  * Updates for python3 and ROS Noetic
  * Tuck arm script: Add ground collision for melodic (#130 <https://github.com/fetchrobotics/fetch_ros/issues/130>)
    * add ground as collision object
    * make robot base keepout larger
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris, Shingo Kitagawa

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 28 Feb 2021 00:00:00 -0000

ros-one-fetch-teleop (0.8.2-0noble) noble; urgency=high

  * Merge pull request #118 <https://github.com/fetchrobotics/fetch_ros/issues/118> from 708yamaguchi/add-teleop-rosparam-melodic
    Select teleop part by rosparam for melodic
  * select teleop part by rosparam
  * Contributors: Carl Saldanha, Naoya Yamaguchi

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 06 Aug 2019 00:00:00 -0000

ros-one-fetch-teleop (0.8.1-0noble) noble; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Contributors: Alexander Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-fetch-teleop (0.8.0-0noble) noble; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * [teleop] Require primary dead-man for arm motion (#92 <https://github.com/fetchrobotics/fetch_ros/issues/92>)
    * Require primary dead-man for arm teleop, along with with the angular or linear selector button.
  * Fixup to add missing variable definition.
  * Also require primary deadman for arm teleop
  * Contributors: Alex Moriarty, Eric Relson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 13 Feb 2019 00:00:00 -0000

ros-one-fetch-teleop (0.7.14-0noble) noble; urgency=high

  * updates ownership
  * Merge pull request #68 <https://github.com/fetchrobotics/fetch_ros/issues/68> from BillWSY/indigo-devel
    Fixes an issue that tuck_arm.py spawns new roscore.
  * Fixes an issue that tuck_arm.py spawns new roscore.
    tuck_arm.py calls roslaunch without --wait flag, which may spawn new ROS
    master in a racing condition.
  * Contributors: Michael Ferguson, Russell Toris, Shengye Wang

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-one-fetch-teleop (0.7.13-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 02 Nov 2017 00:00:00 -0000

ros-one-fetch-teleop (0.7.12-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 02 Aug 2017 00:00:00 -0000

ros-one-fetch-teleop (0.7.11-0noble) noble; urgency=high

  * simpified with easier controls
  * add joystick teleop for arm control
  * Contributors: Hanjun Song, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 31 Jul 2017 00:00:00 -0000

ros-one-fetch-teleop (0.7.10-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.9-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 26 Jul 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.8-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 18 Jul 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.7-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.6-0noble) noble; urgency=high

  * fix attribute error when moveit does not return
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.5-0noble) noble; urgency=high

  * Control gripper via keyboard
  * Contributors: Kentaro Wada

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 08 May 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.4-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 16 Mar 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.3-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 05 Mar 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.2-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 24 Feb 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.1-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 20 Jan 2016 00:00:00 -0000

ros-one-fetch-teleop (0.7.0-0noble) noble; urgency=high

  * Require deadman to be held while tucking
  * add missing moveit_python depend
  * Contributors: Alex Henning, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 29 Sep 2015 00:00:00 -0000

ros-one-fetch-teleop (0.6.2-0noble) noble; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 30 Jul 2015 00:00:00 -0000

ros-one-fetch-teleop (0.6.1-0noble) noble; urgency=high

  * make pan/tilt acceleration parameterized
  * update head tilt joint limits in teleop
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 03 Jul 2015 00:00:00 -0000

ros-one-fetch-teleop (0.6.0-0noble) noble; urgency=high

  * install tuck_arm.py
  * add a keepout zone for extra margin around base


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-fetch-teleop//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-fetch-teleop 0.9.1-5noble.20260221.0005

=== debian/changelog ===
ros-one-fetch-teleop (0.9.1-5noble.20260221.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 21 Feb 2026 00:05:40 +0000
